Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		libgweather
Version:	2.28.0
Release:	2
BuildArch:	i686
Summary:	A library for weather information
Group:		System/Libraries
License:	GPLv2+
URL:		http://www.gnome.org
Source0:	%{name}-%{version}.tar.bz2
#Source200:	copy.xsl
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libsoup-devel
BuildRequires: libxml2-devel
BuildRequires: pango-devel gnome-keyring-devel
BuildRequires: zlib-devel gnutls-devel dbus-devel dbus-glib-devel libtasn1-devel libgcrypt-devel libgpg-error-devel libproxy-devel sqlite-devel libxslt-devel libxml2-devel

%description
libgweather is a library to access weather information from online
services for numerous locations.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig
# libgweather used to be part of gnome-applets, and
# gnome-applets-devel only had the libgweather-devel parts in it
Obsoletes:	gnome-applets < 2.21.0

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure \
--disable-static
make %{?_smp_mflags}

cd po
make %{name}.pot
for p in *.po; do
  msgmerge -U $p %{name}.pot
done
make
cd ..

%install
rm -rf $RPM_BUILD_ROOT

# waste less space 
#xsltproc %{SOURCE200} data/Locations.xml > loc.xml
#sed -e "s/^\s*//" -e "/^$/d" loc.xml > data/Locations.xml

make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gweather.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gweather.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gweather.schemas > /dev/null || :
fi

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%_sysconfdir
%_libdir/*.so.*
%_datadir/%{name}
%_datadir/gtk-doc

%files devel
%defattr(-,root,root,-)
%_includedir
%_libdir/*.so
%_pkgconfig
%_libdir/*.la

%changelog
* Wed Nov 25 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.0-2
- rebuild
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.0-1
- Version update
* Sun Mar 29 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Sat Jan 10 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.2-1
- Version update
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1.1-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Initial release